/**
 * SPDX-FileCopyrightText: 2020 Nextcloud GmbH and Nextcloud contributors
 * SPDX-License-Identifier: GPL-3.0-or-later
 */

#ifndef NextcloudTalk_Bridging_Header_h
#define NextcloudTalk_Bridging_Header_h

#import "ARDSettingsModel.h"
#import "AddParticipantsTableViewController.h"
#import "CallParticipantViewCell.h"
#import "ContactsTableViewCell.h"
#import "DetailedOptionsSelectorTableViewController.h"
#import "HeaderWithButton.h"
#import "NBPhoneNumber.h"
#import "NBPhoneNumberDefines.h"
#import "NBPhoneNumberUtil.h"
#import "NCAPIController.h"
#import "NCAppBranding.h"
#import "NCConnectionController.h"
#import "NCContactsManager.h"
#import "NCDatabaseManager.h"
#import "NCChatFileController.h"
#import "NCExternalSignalingController.h"
#import "NCNavigationController.h"
#import "NCPoll.h"
#import "NCRoomsManager.h"
#import "NCSettingsController.h"
#import "NCUserDefaults.h"
#import "NCUserInterfaceController.h"
#import "NCUserStatus.h"
#import "NotificationCenterNotifications.h"
#import "MapViewController.h"
#import "PlaceholderView.h"
#import "RoundedNumberView.h"
#import "RoomsTableViewController.h"
#import "ShareTableViewCell.h"
#import "UIView+Toast.h"
#import "TOCroppedImageAttributes.h"
#import "TOCropViewController.h"
#import "TOCropViewControllerTransitioning.h"
#import "TOActivityCroppedImageProvider.h"
#import "UIImageView+AFNetworking.h"
#import "UIImage+CropRotate.h"
#import "MaterialActivityIndicator.h"
#import "SLKTextViewController.h"
#import "NCMessageTextView.h"
#import "ReplyMessageView.h"
#import "BarButtonItemWithActivity.h"
#import "VoiceMessageRecordingView.h"
#import "CallKitManager.h"

#import "GeoLocationRichObject.h"
#import "MessageSeparatorTableViewCell.h"
#import "NCChatMessage.h"
#import "NCChatTitleView.h"
#import "NCMessageParameter.h"
#import "QuotedMessageView.h"
#import "ReplyMessageView.h"
#import "SystemMessageTableViewCell.h"

#import "JDStatusBarNotificationPresenter.h"
#import "UIResponder+SLKAdditions.h"
#import "DirectoryTableViewController.h"

#import "ShareViewController.h"
#import "ShareConfirmationCollectionViewCell.h"
#import "ShareItem.h"
#import "ShareItemController.h"
#import "ShareLocationViewController.h"
#import "VoiceMessageTranscribeViewController.h"
#import "AppDelegate.h"
#import "DateHeaderView.h"
#import "RoomInfoTableViewController.h"
#import "AutoCompletionTableViewCell.h"
#import "NCKeyChainController.h"
#import "NCIntentController.h"
#import "MBProgressHUD.h"
#import "CCCertificate.h"

#import "ScreenCapturer.h"
#import "ScreenCaptureController.h"

#import "AFNetworking.h"
#import "NCNotification.h"

#import "MessageBodyTextView.h"

#endif /* NextcloudTalk_Bridging_Header_h */
